Page MenuHomePhabricator

Allow free-text editing for better links to add
Closed, DeclinedPublic

Description

A link is suggested and it doesn't work, but the user finds a link that does work (either because the url had moved, or because they search for another version).

Instead of [skippping] or [rejecting], the user can click a button next to the citation that says "Add a better link you found", and a free-text box shows up.

When something is entered into the box, clicking [Add Link] places the added free text instead of the original proposed link into the article (|url=)

Event Timeline

CristianCantoro triaged this task as Medium priority.Aug 9 2017, 9:44 AM
CristianCantoro created this task.

What do you mean by "edit links in free form"? There always an edit button on the page. :)

Presumably in the same way that a user can modify the default edit summary.

This sounds like a good idea, but could cause issues. If a user modifies a PMC link, for example, to a non-PMC URL, the bot might still try to add it to the PMC field of the citation template.

Luchenry added a subscriber: Luchenry.EditedNov 7 2017, 12:14 PM

I do not know if we are talking about the same thing, but I tried to contribute to https://tools.wmflabs.org/oabot and indeed, I found most links are not correct, broken, etc.. so I looked and easily found other OA version of the article. I would like to be able to add this link in a field that would add the |url= directly at the right place. Right now, I had to go to the related page, edit and then look again for the reference.. Takes forever.. Making things easier would make me enjoy contributing more instead of hitting "skip" almost every time.

Maybe also, considering the questions: 1) Is the original citation closed access (or lacking any link)? 2) Is the new link free to read? 3) Do the two sources match? 4)Is the new link likely copyright-compliant? Instead of having a simple "skip" button, having a "skip" action as a function of answers to these (or similar) questions would be more informative (also, in case of doubts, an expert could review the OA status and possible copyright infringement).

  1. Is the new link functional? Yes -> go to question 2); No -> search for another one
  2. Is the new link free to read? Yes -> add it; No -> search for another one
  3. Is the new link likely copyright-compliant? Yes -> add it; No -> likely no OA source for this article; Not sure -> flag

I think, and please correct me if I'm wrong, your last comment is also proposed in T166308 and T179670?

Correct! I did not dig that deep.

Replacing just the "url" parameter is not free-form but rather structured, so it could be possible, although it would make the interface more cluttered and less user-friendly.

Right now, I had to go to the related page, edit and then look again for the reference.. Takes forever..

What method do you use? I usually select the DOI, ctrl-c, ctrl-click link, alt-shift-e, ctrl-f, ctrl-v, ctrl-g if needed... doesn't take more than 10 seconds including page load time.

Ocaasi_WMF raised the priority of this task from Medium to High.Nov 13 2017, 12:17 PM
Ocaasi_WMF updated the task description. (Show Details)
Ocaasi_WMF renamed this task from Allow free-form editing of links to Allow free-text editing for better links to add.Nov 13 2017, 1:00 PM
Nemo_bis removed a subscriber: Nemo_bis.Nov 13 2017, 1:28 PM
Nemo_bis lowered the priority of this task from High to Low.Apr 21 2018, 9:00 AM
Nemo_bis closed this task as Declined.Apr 28 2018, 8:55 PM

Closing per above.